package com.govmade.modules.basic.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.enums.FieldFill;

public abstract class BaseEntity<ID extends Serializable> implements Serializable {

	private static final long serialVersionUID = 1L;

	@TableId
	private ID id; // 主键ID

	@TableField(value = "create_by",fill = FieldFill.INSERT)
	private Long createBy; // 创建者

	@TableField(value = "modify_by",fill = FieldFill.INSERT_UPDATE)
	private Long modifyBy; // 更新者

	@TableField(value = "create_time",fill = FieldFill.INSERT)
	private Date createTime; // 创建时间

	@TableField(value = "modify_time",fill = FieldFill.INSERT_UPDATE)
	private Date modifyTime; // 更新时间
	
	@TableField(value = "state",fill = FieldFill.INSERT)
	private Integer state; // 更新时间

	public ID getId() {
		return id;
	}

	public void setId(ID id) {
		this.id = id;
	}

	public Long getCreateBy() {
		return createBy;
	}

	public void setCreateBy(Long createBy) {
		this.createBy = createBy;
	}

	public Long getModifyBy() {
		return modifyBy;
	}

	public void setModifyBy(Long modifyBy) {
		this.modifyBy = modifyBy;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getModifyTime() {
		return modifyTime;
	}

	public void setModifyTime(Date modifyTime) {
		this.modifyTime = modifyTime;
	}
	
	public Integer getState() {
		return state;
	}

	public void setState(Integer state) {
		this.state = state;
	}
}
