package com.govmade.modules.system.controller;

import java.util.Map;
import java.util.Set;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.govmade.common.utils.PageUtils;
import com.govmade.common.utils.R;
import com.govmade.modules.basic.controller.AbstractController;
import com.govmade.modules.system.entity.RoleEntity;
import com.govmade.modules.system.service.RoleService;

/**
 * 系统管理 - 角色设置
 * 
 * @author 刘弈臻
 * @date 2018年8月7日
 */

@RestController
@RequestMapping("/system/role")
public class RoleController extends AbstractController{

	@Autowired
	private RoleService roleService;
	
	/**
	 * 角色列表
	 */
	@GetMapping("/list")
	public R list(@RequestParam Map<String, Object> params) {
		
		PageUtils page = roleService.queryPage(params);
		return R.ok().put("page", page);
	}
	
	/**
	 * 保存或更新角色
	 */
	@PostMapping("/save")
	public R save(RoleEntity role) {

		if (null == role.getId()) {
			if (this.roleService.checkRole(role.getName()) > 0) {
				return R.error(role.getName() + " 已存在!");
			}
			
		}
		roleService.save(role);
		return R.ok();
	}
	
	/**
	 * 删除或批量删除角色
	 */
	@DeleteMapping("/delete")
    public R deleteUser(@RequestParam Set<Long> ids) {

        roleService.deleteBatchIds(ids);
        return R.ok();
    }
	
	
}
