package com.govmade.modules.system.service;

import java.util.Map;
import java.util.Set;

import com.baomidou.mybatisplus.service.IService;
import com.govmade.common.utils.PageUtils;
import com.govmade.modules.system.entity.UserEntity;

/**
 * 系统管理 - 用户设置
 * 
 * @author Fred
 * @email fangtaosh@qq.com
 * @date 2018年8月3日
 */
public interface UserService extends IService<UserEntity> {

	PageUtils queryPage(Map<String, Object> params);


	UserEntity queryById(Long id);
	
	/**
	 * 保存或修改用户
	 */
	void save(UserEntity user);
	
	/**
	 * 删除用户
	 */
	void deleteBatch(Set<Long> ids);

	/**
	 * 修改密码
	 * @param userId       用户ID
	 * @param password     原密码
	 * @param newPassword  新密码
	 */
	boolean updatePassword(Long userId, String password, String newPassword);
	
	Integer checkUser(String username);
	
	UserEntity queryOne(Map<String, Object> params);
}
