package com.govmade.modules.system.service.impl;

import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.mapper.EntityWrapper;
import com.baomidou.mybatisplus.plugins.Page;
import com.baomidou.mybatisplus.service.impl.ServiceImpl;
import com.govmade.common.utils.PageUtils;
import com.govmade.common.utils.Query;
import com.govmade.modules.system.dao.DictDao;
import com.govmade.modules.system.entity.DictEntity;
import com.govmade.modules.system.service.DictService;

import cn.hutool.core.util.StrUtil;

/**
 * 系统管理 - 字典设置
 * 
 * @author Fred
 * @email fangtaosh@qq.com
 * @date 2018年8月7日
 */
@Service("DictService")
public class DictServiceImpl extends ServiceImpl<DictDao, DictEntity> implements DictService {

	@Override
	public PageUtils queryPage(Map<String, Object> params) {

		Page<DictEntity> page = this.selectPage(new Query<DictEntity>(params).getPage());
		return new PageUtils(page);
	}

	@Override
	public DictEntity queryOne(Map<String, Object> params) {
		String value = (String) params.get("value");
		return (DictEntity) this
				.selectOne(new EntityWrapper<DictEntity>().eq(StrUtil.isNotBlank(value), "value", value));
	}

	@Override
	public List<DictEntity> queryChilds(String pValue) {

		List<DictEntity> childs = baseMapper.selectChilds(pValue);

		return childs;
	}
}
